Subject: Re: [PATCH 0/3] x86_64, sfc: 128-bit memory-mapped I/O

From: "H. Peter Anvin" <[email-masked]>
Date: Tue, 21 Aug 2012 18:38:24 -0700

On 08/21/2012 06:17 PM, Ben Hutchings wrote:
> Current Solarflare network controllers have 128-bit memory-mapped
> registers which are normally accessed through a series of I/O
> operations.  However, it is also possible to access them with a single
> MOVAPS instruction on x86_64, and this is measurably faster as it
> requires only one PCIe transaction.

Also, have you considered doing this with write combining instead?

	-hpa